/*********************************************************************
*
*   HEADER NAME:
*       Garmin.h - Garmin include for Palm.
*
*   DESCRIPTION:
*       Public includes for Garmin system & libriaries.
*       Generally apps/panels/libraries only need to include this.
*
* Copyright 2002-2003 by Garmin Ltd. or its subsidiaries.
*********************************************************************/

#ifndef _GARMIN_H
#define _GARMIN_H

/*--------------------------------------------------------------------
                           GENERAL INCLUDES
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                          LITERAL CONSTANTS
--------------------------------------------------------------------*/

/*----------------------------------------------------------
Feature creator
----------------------------------------------------------*/
#define garminFtrCreator                'GRMN'

/*----------------------------------------------------------
Feature numbers
----------------------------------------------------------*/
enum
    { garminFtrNumPenInputServices
    , garminFtrNumExtraKeys
    , garminFtrNumIntegratedGPS
    , garminFtrNumMedia

    , garminFtrNumCount      /* Count of feature numbers */
    };


/*----------------------------------------------------------
Media features masks.
----------------------------------------------------------*/
#define garminMediaIntegratedMicrophone     ( 1UL << 0 )
#define garminMediaWAVOutput                ( 1UL << 1 )
#define garminMediaMP3Output                ( 1UL << 2 )

/*--------------------------------------------------------------------
                                TYPES
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                           PROJECT INCLUDES
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                           MEMORY CONSTANTS
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                              VARIABLES
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                                MACROS
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                              PROCEDURES
--------------------------------------------------------------------*/

#endif /* GARMIN_H */

